# Method: customers.tempTables.list

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables/list#body.ListTempTablesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables/list#body.aspect)

Lists the Ads Data Hub temp tables that the customer has created. Temp tables are created for a specific ads data customer ID, match data customer ID, and query type.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{parent=customers/*}/tempTables`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent customer resource name, e.g. 'customers/123'. |

### Query parameters

| Parameters ||
|---|---|
| `adsDataCustomerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. Linked Ads Data Hub customer ID used when executing the original temp table queries. Defaults to the parent resource. |
| `matchDataCustomerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. Linked Ads Data Hub customer ID used when executing the original temp table queries. Defaults to the parent resource. |
| `queryType` | ``enum (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables#QueryType`)`` Type of query that created the tables. Temp tables are only accessible to to queries of the same type. |
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of tables to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results, if any. The page token must have been returned by a call with the same request parameters. |

### Request body

The request body must be empty.

### Response body

Response to a tempTables.list request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tables": [ { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables#TempTable`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `tables[]` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tempTables#TempTable`)`` A list of tables. |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`